Certbot renew crashed wg. zu alter py37-cryptography-2.9.2

testit

Well-Known Member
Hallo!

Ich erhalte unten angefügte Fehlermeldungen bei einem "certbot renew" unter FreeBSD 11.4 Release p4, das auch unter

und

angesprochen wird:

Allerdings erhalte ich bei einem Versuch, cryptography 2.9.2 mittels "pkg upgrade py37-cryptography-2.9.2" auf auf 3.2 upzudaten, folgenden Hinweis:

Code:
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
Checking integrity... done (0 conflicting)
Your packages are up to date.

Wieso wird mir angegeben, dass meine Packages up-to-date seien?
cryptography 2.9.2 ist ja gerade nicht up-to-date, es wird Version => 3.2 verlangt!

Was mache ich nun am besten?

Viele Grüße und Dank im voraus
testit


+++ FEHLERMELDUNGEN +++

Traceback (most recent call last):
File "/usr/local/lib/python3.7/site-packages/pkg_resources/init.py", line 583, in _build_master
ws.require(requires)
File "/usr/local/lib/python3.7/site-packages/pkg_resources/init.py", line 900, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/local/lib/python3.7/site-packages/pkg_resources/init.py", line 791, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (cryptography 2.9.2 (/usr/local/lib/python3.7/site-packages), Requirement.parse('cryptography>=3.2'), {'PyOpenSSL'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/bin/certbot", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/local/lib/python3.7/site-packages/pkg_resources/init.py", line 3251, in <module>
@_call_aside
File "/usr/local/lib/python3.7/site-packages/pkg_resources/init.py", line 3235, in _call_aside
f(*args, **kwargs)
File "/usr/local/lib/python3.7/site-packages/pkg_resources/init.py", line 3264, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/local/lib/python3.7/site-packages/pkg_resources/init.py", line 585, in _build_master
return cls.build_from_requirements(__requires_)
File "/usr/local/lib/python3.7/site-packages/pkg_resources/init.py", line 598, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/local/lib/python3.7/site-packages/pkg_resources/init.py", line 791, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (cryptography 2.9.2 (/usr/local/lib/python3.7/site-packages), Requirement.parse('cryptography>=3.2'), {'PyOpenSSL'})
 

obsigna

Member
Entweder:

# cd /usr/ports/security/py-cryptography
# make deinstall install clean

Oder 1-2 Tage warten, denn solange kann es dauern bis das Update auf den PKG-Servern landet.
 

testit

Well-Known Member
Vielen Dank für Eure Hinweise!

@ obsigna: Man hat mir hier mal vor einiger Zeit den Rat gegeben, Port-Builds und fertige Pakete nicht zu "mischen".

Viele Grüße
testit
 

Andy_m4

Well-Known Member
Man hat mir hier mal vor einiger Zeit den Rat gegeben, Port-Builds und fertige Pakete nicht zu "mischen".
Also mal ganz generell dazu:
Ports unterscheiden sich eigentlich nicht großartig von Packages, da ja Packages aus den Ports erstellt werden.
Zu Konflikten kommt es eigentlich nur in zwei Fällen.

  • Einmal wenn Du für die Ports die Konfiguration änderst. Die Packages werden nämlich aus den Default-Einstellungen der Ports erzeugst.
  • wenn Du die Packages aus dem Quarterly-Repository beziehst (was standardmäßig der Fall ist, wenn man es nicht ändert). Ports haben in der Regel den Stand von latest (in manchen Fällen sind sie auch neuer wenn bei Port-Aktualisierungen das Paket dann noch nicht im latest-Repository gelandet ist).

Man kann also durchaus mischen. Man kann sich übrigens auch direkt ein Packages erzeugen lassen:
make package

Das liegt dann in work/pkg/ und lässt sich mit pkg add -f packagename.txz installieren
 

testit

Well-Known Member
Ein herzliches "Vielen Dank" an alle vorstehenden Beitragsverfasser!

Vor allem finde ich auch den Tipp mit "make package" sehr interessant, den ich so nicht "auf dem Schirm" hatte.
Habe das Ganze dann auch auf diese Weise gelöst und certbot renew hat nun einwandfrei funktioniert.


Viele Grüße
testit
 
Oben